
   <tr  style="background:#fbfaf4">
    <td class="tr">模板文件 - 分类列表：</td>
     <td >
      <?php

$dir = tpllayoutdir().'category/';

if(!is_dir($dir)){
  $filearr = [];
  $filedir_name = tpllayoutdir_name().'category/ 不存在。';
}else{
   $filearr = getFile($dir);
   $filedir_name = tpllayoutdir_name().'category/';
}

 
//pre($filearr);
 //------------
if($mbfile=='') echo '<p style="color:red">请选择模板文件</p>';
 echo  '<select name="mbfile">';
 //if($sysblockfolder=='mobi') echo '<option value="usepc">使用pc端选择</option>';

  // $selectjcgg = $template == 'jcgg'?' selected= "selected" ':'';
  // if($typepagetemplate<>'common')  echo ' <option '.$selectjcgg.'  value="jcgg">继承公共布局的选择</option>';

echo '<option value="">请选择</option>';

  foreach ($filearr as $v){
           if($mbfile==$v) $select=' selected '; else $select='';
          
             echo '<option '.$select.'value="'.$v.'">'.$v.'</option>' ;

    }


//  select_from_arr2($filearr,$template,'');
 //echo '<option value="hide">隐藏hide</option>';
 echo '</select>';



 ?>
 <p class="cgray">文件目录： <?php echo $filedir_name;?></p>   
   </td> 
  </tr>





   <tr  style="background:#fbfaf4">
    <td class="tr">模板文件 - 详情页：</td>
     <td >
      <?php

$dir = tpllayoutdir().'detail/';

if(!is_dir($dir)){
  $filearr = [];
  $filedir_name = tpllayoutdir_name().'detail/ 不存在。';
}else{
   $filearr = getFile($dir);
   $filedir_name = tpllayoutdir_name().'detail/';
}


//pre($filearr);
 //------------
if($mbfiledetail=='') echo '<p style="color:red">请选择模板文件</p>';
 echo  '<select name="mbfiledetail">';
 //if($sysblockfolder=='mobi') echo '<option value="usepc">使用pc端选择</option>';

  // $selectjcgg = $template == 'jcgg'?' selected= "selected" ':'';
  // if($typepagetemplate<>'common')  echo ' <option '.$selectjcgg.'  value="jcgg">继承公共布局的选择</option>';

echo '<option value="">请选择</option>';

  foreach ($filearr as $v){
           if($mbfiledetail==$v) $select=' selected '; else $select='';
          
             echo '<option '.$select.'value="'.$v.'">'.$v.'</option>' ;

    }


//  select_from_arr2($filearr,$template,'');
 //echo '<option value="hide">隐藏hide</option>';
 echo '</select>';



 ?>
 <p class="cgray">文件： <?php echo $filedir_name;?></p>   
   </td> 
  </tr>

